//
//  name=HighlightWins3 
//  dependencies=jQuery
//  description=Highlight winning scores in summary tables.
//  author=Jon Eskdale based on an idea by Colin Jenkins
//  date=2015-08-30
//  version=1.6
//  url=http://sailwave.com	
//  email=jon@sailwave.com	
//  twitter=eskdale
//  comments=Edit colours to colours of your choice
//

$(document).ready(function() {
var winsSelector = '.summaryrace';
// var winsText     = /\b1\.0/;
// var twoText		 = /\b2\.0/;
// var threeText	 = /\b3\.0/;
var winsText     = /\b1\b/;
var twoText		 = /\b2\b/;
var threeText	 = /\b3\b/;

// Edit these colours to change the highlight colours for 1st, 2nd and 3rd
var winsColour   = '#fac711AA';
var twoColour	 = '#a8a8a8AA';
var threeColour  = '#a77866AA';
//var twoColour	 = '#ffe768';
//var threeColour  = '#fff0a1';

// create array of race column numbers for first table (summarytable)
var ths = document.getElementsByTagName('col');
var column =[];
for (var i=0; i<ths.length; i++) {
	if (ths[i].classList[0] === "race") {
		column.push(i);
	} else {
		if (column.length !=0) {
			break;
		}
	}
}
//console.log(column);

//  Set a class of summaryrace for all race cells in summary table body
//
for (var i=0; i<column.length; i++) {
	$(".summarytable tbody tr td:nth-child(" + (column[i]+1) +")").addClass("summaryrace");		
}

// Change the background color for cells with class of summaryrace and that match regular expression text
$(function () {

  $(winsSelector).filter(function() {
    return winsText.test($(this).text());
  }).css("background", winsColour);
  $(winsSelector).filter(function() {
	return twoText.test($(this).text());
  }).css("background", twoColour);
  $(winsSelector).filter(function() {
	return threeText.test($(this).text());
  }).css("background", threeColour);  
    
});
});
